<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="SITE-STATISTICS-REPORTS">
		<xsl:choose>
        	<xsl:when test="@IS-PUBLISHED = '0'">
	       		<center><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/STAT-REPORT-AVAILABLE"/></center>
	      	</xsl:when>
        	<xsl:when test="@STAT-REPORTS = '0'">
	       		<center><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/STAT-ERROR"/></center>
	      	</xsl:when>
			<xsl:otherwise>
		    	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		        	<tr>
		            	<td class="SB_ToolBarPadding">
		            		<form name="viewStatReports" method="post" id="viewStatReports">
		            			<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
		            			<input type="hidden" name="siteId">
		            				<xsl:attribute name="value">
		            					<xsl:value-of select="SITE-ID/@VALUE"/>
		            				</xsl:attribute>
		            			</input>
			            		<fieldset class="SB_Form_FieldSet">
						            <legend class="SB_Toolbar_title">
						                <xsl:value-of select="@STAT-TOOLBAR"/>
						            </legend>
						        </fieldset>
							</form>
	            		</td>
	        		</tr>
	        	</table>
	        	<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td>&#160;</td>
					</tr>
					<tr>
						<td class="SB_ToolBarPadding">
							<xsl:apply-templates select="PAGED-LIST"/>
						</td>
					</tr>
	        	</table>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px; white-space:nowrap;">
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="DATE"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="HITS"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="HOSTS"/></th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" align="left" style="height:24px; white-space:nowrap;">
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="field">day</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="DAY"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="field">hits</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="HITS"/></xsl:with-param>
			</xsl:call-template>
		
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="field">hosts</xsl:with-param>
				<xsl:with-param name="title"><xsl:value-of select="HOSTS"/></xsl:with-param>
			</xsl:call-template>
		</tr>
		<xsl:if test="LAST=1">
		<tr class="SBGridViewHeader" align="left" style="height:24px; white-space:nowrap;">
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/STAT-TOTAL"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="TOTAL-HITS"/></th>
			<th style="padding-left: 4px; padding-right: 4px;" scope="col"><xsl:value-of select="TOTAL-HOSTS"/></th>
		</tr> 
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>