<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="SITE-STATISTICS-SETTINGS">
		<script type="text/javascript" src="/modules/Statistics/js/Settings.js?{$version}.{$build}"></script>
		
    	<table width="100%" cellpadding="0" cellspacing="0" border="0">
        	<tr>
            	<td class="SB_ToolBarPadding">
            		<form name="editStatSettings" method="post" id="editStatSettings">
            			<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
            			<input type="hidden" name="saveStatSettings" value="none"/>
            			<input type="hidden" name="siteId">
            				<xsl:attribute name="value">
            					<xsl:value-of select="SITE-ID/@VALUE"/>
            				</xsl:attribute>
            			</input>
	            		<fieldset class="SB_Form_FieldSet">
				            <legend class="SB_Toolbar_title">
				                <xsl:value-of select="@STAT-TOOLBAR"/>
				            </legend>
				            <table cellpadding="0" cellspacing="0" width="100%" border="0">
				                <tr>
				                    <td style="padding-left:10px;">
										<xsl:apply-templates select="CONTROL[@NAME='statTurnOn']" mode="TITLE-LEFT">
											<xsl:with-param name="onChange">setSaveStatus();</xsl:with-param>
											<xsl:with-param name="onClick">checkStat();</xsl:with-param>
										</xsl:apply-templates>
				                    </td>
				                </tr>
				            </table>
				        </fieldset>
	            		<fieldset class="SB_Form_FieldSet">
				            <legend class="SB_Toolbar_title">
				                <xsl:value-of select="@COUNTER-TOOLBAR"/>
				            </legend>
				            <table cellpadding="0" cellspacing="0" width="100%" border="0">
				                <tr>
				                    <td style="padding-left:10px; padding-top:10px;">
										<xsl:apply-templates select="CONTROL[@NAME='counterTurnOn']" mode="TITLE-LEFT">
											<xsl:with-param name="onChange">setSaveStatus();</xsl:with-param>
										</xsl:apply-templates>
				                    </td>
				                </tr>
				                <tr>
				                    <td style="padding-left:10px; padding-top:10px;">
						                <xsl:apply-templates select="CONTROL[@NAME='counterValue']" mode="TITLE-LEFT">
											<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
											<xsl:with-param name="require">on</xsl:with-param>
											<xsl:with-param name="maxLength">4</xsl:with-param>
											<xsl:with-param name="onChange">setSaveStatus();</xsl:with-param>
										</xsl:apply-templates>
				                    </td>
				                </tr>
				                <tr>
				                    <td style="padding-left:10px; padding-top:10px;">
						                <xsl:apply-templates select="CONTROL[@NAME='counterStyle']" mode="TITLE-LEFT">
												<xsl:with-param name="titleStyle">width: 50%;color:Black;font-family:Arial;font-size:11px;</xsl:with-param>
												<xsl:with-param name="controlStyle">color:Black;font-family:Arial;font-size:11px;width:80%;</xsl:with-param>
												<xsl:with-param name="onChange">setSaveStatus();</xsl:with-param>
										</xsl:apply-templates>
				                    </td>
				                </tr>
				            </table>
				        </fieldset>
					</form>
            	</td>
        	</tr>
        </table>
        <xsl:call-template name="OK-CANCEL-BUTTONS">
			<xsl:with-param name="okAction">javascript: return validateStatisticsSettings();</xsl:with-param>
			<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Site/Edit?siteId=<xsl:value-of select="SITE-ID/@VALUE"/>";</xsl:with-param>
		</xsl:call-template>
		<!-- disabled counter checkbox, because on default stat checkbox not checked -->
		<script type="text/javascript">
			checkStat();
		</script>	
	</xsl:template>
	
</xsl:stylesheet>